﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace MultiBindingONUnboundColumn
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            DataContext = new List<Data>
            {
                new Data { ID = 1, Name = "Name 1" },
                new Data { ID = 2, Name = "Name 2" },
                new Data { ID = 3, Name = "Name 3" },
            };
        }
    }

    [ValueConversion(typeof(object), typeof(string))]
    public class LotConverter : IMultiValueConverter
    {

        #region IMultiValueConverter Members

        public object Convert(object[] values, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            if (values[0] == DependencyProperty.UnsetValue
                || values[1] == DependencyProperty.UnsetValue)
                return "";

            //  Values coming in are:
            //
            //  Lot
            //  LotSequence

            int lot = (int)values[0];
            string lotSequence = values[1] as string;
            return (String.Format("{0}/{1}", lot, lotSequence));
        }

        public object[] ConvertBack(object value, Type[] targetTypes, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }

        #endregion  
    }


    public class Data
    {
        public int ID { get; set; }
        public string Name { get; set; }
    }

}
